#! /usr/bin/env python
"""Dump the DB sorted by date

This file is a part of XSetBg.

"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 2006-2014 PhiloSoft Design"
__license__ = "GNU GPL"

from operator import itemgetter
from xsetbg_db import xsetbg_db

for key, value in sorted(xsetbg_db.items(), key=itemgetter(1), reverse=1):
   if key.startswith('/'):
      print value, key
xsetbg_db.close()
